Fill inside of shape after cut operation

Hello everyone,

I import a stl file which likes a big cylinder and want to open hole inside of that shape. I have figured it out how to cut but I have problem from this point. Cut shape looks like empty and looks bad actually (like attached photo). And maybe there are some methods to fill inside of shape after cut operation. Anyone can help me about that? Thanks in advance.

Photo description is: there are 5 holes and you can see inside of shape is empty.

BRepPrimAPI_MakeCylinder holeMaker(position, holeRadius, 100);
TopoDS_Shape holeTopoDsShape = holeMaker.Shape();
BRepAlgoAPI_Cut cutMaker(_topoDsShapeInOperation, holeTopoDsShape);
TopoDS_Shape result = cutMaker.Shape();

Nezihe Sözen's picture

Hello Dear community,

How can this problem be solved? Do you have any suggestions?

Best regards

Update: Thanks to Mikhail Sazonov, it resolved via this forum topic: https://dev.opencascade.org/content/non-manifold-surfaces-after-cutting-...